Get webhook configuration for a project
GET
/api/projects/{id}/webhooks
Authentication
API Key (cookie: better-auth.session_token)
Path Parameters
id
string
required
path
Example:
"abc123"Responses
200
Webhook config
application/jsonwebhook_url
string (uri) | null
REQUIRED
webhook_events
string[]
REQUIRED
Array of:
webhooks_enabled
boolean
REQUIRED
webhook_secret_preview
string | null
REQUIRED
401
Unauthenticated
404
Not found
curl -X GET 'https://motioness.com/api/projects/abc123/webhooks'
const response = await fetch('https://motioness.com/api/projects/abc123/webhooks', { method: 'GET'});const data = await response.json();console.log(data);
import requestsresponse = requests.get('https://motioness.com/api/projects/abc123/webhooks')print(response.json())
200
Response
{ "webhook_url": "<uri>", "webhook_events": [ "asset.queued" ], "webhooks_enabled": true, "webhook_secret_preview": "<string>"}
API Playground
Try this endpoint
GET
/api/projects/{id}/webhooks